/*   
 * Copyright (c) 2002, Intel Corporation. All rights reserved.
 * This file is licensed under the GPL license.  For the full content
 * of this license, see the COPYING file at the top level of this 
 * source tree.
 *
 *
 */  
    
#include <unistd.h>
#include <sys/mman.h>
#include <sys/types.h>
#include <stdlib.h>
#include <fcntl.h>
#include <stdio.h>
#include <errno.h>

char filename[256];

#define SIZE 256
int bufsize = SIZE;
char buf1[SIZE + 1];
char buf2[SIZE + 1];
main() 
{
	int fd;
	char *p;
	int i;
	char *ocfsroot;

	ocfsroot = getenv("OCFSROOT");
	if(ocfsroot == NULL)
			ocfsroot = "/ocfs";
	snprintf(filename, 255, "%s/ocfs_test%d", ocfsroot, getpid());
	filename[255] = 0;
	unlink(filename);

	for (i = 0; i < bufsize; i++)
		buf1[i] = 'A' + (i + getpid()) % 50;
	fd = open(filename, O_CREAT | O_RDWR);
	if (fd == -1) {
		perror("open error:");
		exit(EXIT_FAILURE);
	}
	write(fd, buf2, bufsize);
	p = (char *) mmap(NULL, bufsize, PROT_READ | PROT_WRITE, MAP_SHARED,
			   fd, 0);
	if (p == MAP_FAILED) {
		perror("mmap error:");
		exit(EXIT_FAILURE);
	}
	memcpy(p, buf1, bufsize);
	munmap(p, bufsize);
	close(fd);

	fd = open(filename, O_CREAT | O_RDWR);
	if (fd == -1) {
		perror("open error:");
		exit(EXIT_FAILURE);
	}
	p = (char *) mmap(NULL, bufsize, PROT_READ | PROT_WRITE, MAP_SHARED,
			   fd, 0);
	if (!memcmp(buf1, p, bufsize)) {
		printf("PASS\n");
	} else {
		printf("!not same");
	}
	munmap(p, bufsize);
	close(fd);
	exit(EXIT_SUCCESS);
}


