/******************************************************************************
*******************************************************************************
**
**    Copyright 2004 Intel, Inc.
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**
**    This file is maintained by:
**      LingXiaofeng <xiaofeng.ling@intel.com>
**
*******************************************************************************
******************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <errno.h>

char filename[256];
#define SIZE 256
int bufsize = SIZE;
char buf1[SIZE+1];
char buf2[SIZE+1];

int
main(int argc, char *argv[])
{
	int fd;
	int i;

	char *ocfsroot;

	ocfsroot = getenv("OCFSROOT");
	if(ocfsroot == NULL)
			ocfsroot = "/ocfs";
	snprintf(filename, 255, "%s/ocfs_test%d", ocfsroot, getpid());
	filename[255] = 0;
	unlink(filename);


	for (i = 0; i < bufsize; i++)
		buf1[i] = 'A'+(i+getpid())%50;
	fd = open(filename, O_CREAT | O_RDWR);
	if (fd < 0) {
		fprintf(stderr, " can't open file %s: %s\n",
			filename, strerror(errno));
		exit(EXIT_FAILURE);
	}

	write(fd, buf1, bufsize);
	close(fd);

	fd = open(filename, O_CREAT | O_RDWR);
	if (fd < 0) {
		fprintf(stderr, " can't open file %s: %s\n",
			filename, strerror(errno));
		exit(EXIT_FAILURE);
	}
	read(fd, buf2, bufsize);
	if (memcmp(buf1, buf2, bufsize) != 0) {
		fprintf(stderr, "read write not same!");
		exit(EXIT_FAILURE);
	}
	if (close(fd) < 0) {
		fprintf(stderr, "  close failed: %s\n", strerror(errno));
		exit(EXIT_FAILURE);
	}

	printf("PASS\n");
	exit(EXIT_SUCCESS);
}
