#!/bin/sh 
tet_startup="startup"			# startup function
tet_cleanup="cleanup"			# cleanup function
iclist="ic1"	        # list invocable components
ic1="tp1 tp2 tp3 tp4"				# functions for ic1

setup()
{
	fs=`cat /proc/mounts|awk '$2=="/ocfs" {print $3}'`
	if [ x$fs == x"ocfs2" ];then
		return 0
	fi
	load_ocfs2
	if [ $? -ne 0 ];then
		return 1
	fi
	mkdir /ocfs 2>/dev/null
	mount $OCFSDEV /ocfs -t ocfs2
	if [ $? -ne 0 ];then
		return 1
	fi
	return 0
}


tp1()
{
	tvs_test_purpose_start "testing basic read write"
	./basicreadwrite	
	if [ $? -eq 0 ];then
		tvs_test_purpose_finish PASS
	else
		tvs_test_purpose_finish FAIL
	fi
}

tp2()
{
	tvs_test_purpose_start "testing basic mmap"
	if [ $? -ne 0 ];then
		tet_line "load ocfs2 module failed"
		tvs_test_purpose_finish FAIL
		return
	fi
	./basicmmap
	if [ $? -eq 0 ];then
		tvs_test_purpose_finish PASS
	else
		tvs_test_purpose_finish FAIL
	fi
}

tp3()
{
	tvs_test_purpose_start "testing umount after basic read/write"
	umount /ocfs 
	if [ $? -eq 0 ];then
		tvs_test_purpose_finish PASS
	else
		tvs_test_purpose_finish FAIL
	fi
}

tp4()
{
	tvs_test_purpose_start "testing unload module after basic read/write"
	rmmod ocfs2
	if [ $? -eq 0 ];then
		tvs_test_purpose_finish PASS
	else
		tvs_test_purpose_finish FAIL
	fi
}


startup() # start-up function
{
	if [ -z $OCFSDEV ];then
		echo "Error: OCFSDEV not specified!"
		exit
	fi
	tet_infoline "Begin ocfs2 read/write test..."
	setup
}

cleanup() # clean-up function
{
	tet_infoline "Finish ocfs2 basic read/write test..."
}

. ./test.config
# Source TVS helper functions
. $TVS_ROOT/lib/TVSFunctions.sh

# execute shell test case manager - must be last line
. $TET_ROOT/lib/xpg3sh/tcm.sh
