#!/bin/sh 
tet_startup="startup"			# startup function
tet_cleanup="cleanup"			# cleanup function
iclist="ic1"	        # list invocable components
ic1="tp1 tp2 tp3 tp4"				# functions for ic1

setup()
{
	echo
}


tp1()
{
	tvs_test_purpose_start "testing basic read write"
	echo
	if [ $? -eq 0 ];then
		tvs_test_purpose_finish PASS
	else
		tvs_test_purpose_finish FAIL
	fi
}

tp2()
{
	tvs_test_purpose_start "testing basic mmap"
	echo
	if [ $? -eq 0 ];then
		tvs_test_purpose_finish PASS
	else
		tvs_test_purpose_finish FAIL
	fi
}

tp3()
{
	tvs_test_purpose_start "testing umount after basic read/write"
	echo
	if [ $? -eq 0 ];then
		tvs_test_purpose_finish PASS
	else
		tvs_test_purpose_finish FAIL
	fi
}

tp4()
{
	tvs_test_purpose_start "testing unload module after basic read/write"
	echo
	if [ $? -eq 0 ];then
		tvs_test_purpose_finish PASS
	else
		tvs_test_purpose_finish FAIL
	fi
}


startup() # start-up function
{
	if [ -z $OCFSDEV ];then
		echo "Error: OCFSDEV not specified!"
	fi
	tet_infoline "Begin ocfs2 read/write test..."
	setup
}

cleanup() # clean-up function
{
	tet_infoline "Finish ocfs2 basic read/write test..."
}

. ./test.config
# Source TVS helper functions
. $TVS_ROOT/lib/TVSFunctions.sh

# execute shell test case manager - must be last line
. $TET_ROOT/lib/xpg3sh/tcm.sh
