#!/bin/sh 
tet_startup="startup"			# startup function
tet_cleanup="cleanup"			# cleanup function
iclist="ic1"	        # list invocable components
ic1="tp1 tp2 tp3"				# functions for ic1

tp1()
{
	tvs_test_purpose_start "testing module insert"
	load_ocfs2
	if [ $? -ne 0 ];then
		tvs_test_purpose_finish FAIL
		return
	fi

	mkfs.ocfs2 -F -L ocfs -m /ocfs -b 4 $OCFSDEV
	if [ $? -eq 0 ];then
		tvs_test_purpose_finish PASS
	else
		tvs_test_purpose_finish FAIL
	fi

}

tp2()
{
	tvs_test_purpose_start "testing for mount twice"
	mkdir /ocfs 2>/dev/null
	mount $OCFSDEV /ocfs -t ocfs2
	if [ $? -ne 0 ];then
		tvs_test_purpose_finish FAIL
		return
	fi

	umount /ocfs 
	if [ $? -ne 0 ];then
		tet_infoline "umount error!"
		tvs_test_purpose_finish FAIL
		return;
	fi

	mount $OCFSDEV /ocfs -t ocfs2
	if [ $? -ne 0 ];then
		tvs_test_purpose_finish FAIL
		tet_infoline "remount error!"
		return;
	fi

	umount /ocfs 
	if [ $? -eq 0 ];then
		tvs_test_purpose_finish PASS
	else
		tet_infoline "umount after remount error!"
		tvs_test_purpose_finish FAIL
	fi
}

tp3()
{
	tvs_test_purpose_start "testing unload module after remount"
	rmmod ocfs2
	if [ $? -eq 0 ];then
		tvs_test_purpose_finish PASS
	else
		tvs_test_purpose_finish FAIL
	fi
}


startup() # start-up function
{
	if [ -z $OCFSDEV ];then
		echo "Error: OCFSDEV not specified!"
		exit
	fi
	tet_infoline "Begin ocfs2 setup test..."

}

cleanup() # clean-up function
{
	tet_infoline "Finish ocfs2 setup test..."
}

. ./test.config
# Source TVS helper functions
. $TVS_ROOT/lib/TVSFunctions.sh

# execute shell test case manager - must be last line
. $TET_ROOT/lib/xpg3sh/tcm.sh
